If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

[socorro prod] enable cron_fixbrokendumps.sh

RESOLVED FIXED

Status

Infrastructure & Operations
WebOps: Other
P3
normal
RESOLVED FIXED
5 years ago
4 years ago

People

(Reporter: rhelmer, Assigned: solarce)

Tracking

Details

(Whiteboard: [push interrupt])

(Reporter)

Description

5 years ago
Exact same process as bug 822828 comment 1, but for production.
(Reporter)

Updated

5 years ago
Blocks: 822432
(Assignee)

Updated

5 years ago
Assignee: server-ops-webops → bburton
Priority: -- → P3
Whiteboard: [push interrupt]
(Assignee)

Comment 1

5 years ago
[root@sp-admin01.phx1 bin]# chmod +x minidump_hack-b2g

[root@sp-admin01.phx1 bin]# ls -lah /data/bin/minidump_hack-b2g 
-rwxr-xr-x 1 root root 34K Dec 19 13:39 /data/bin/minidump_hack-b2g

notice: /Stage[main]/Socorro::Base/File[/etc/socorro/common.conf]/content: 
--- /etc/socorro/common.conf	2012-12-18 15:28:32.411895208 -0800
+++ /tmp/puppet-file20121219-13219-1a0l18k-0	2012-12-19 13:46:40.219893611 -0800
@@ -43,3 +43,6 @@
 
 export statsdHost=graphite1.dmz.phx1.mozilla.com
 export statsdPrefix=socorro-prod
+
+# bug 822828
+export brokenBoot2GeckoFixer=/data/bin/minidump_hack-b2g

info: FileBucket adding {md5}8f8f064b4d3ac4707f7d40bffbc6923d
info: /Stage[main]/Socorro::Base/File[/etc/socorro/common.conf]: Filebucketed /etc/socorro/common.conf to main with sum 8f8f064b4d3ac4707f7d40bffbc6923d
notice: /Stage[main]/Socorro::Base/File[/etc/socorro/common.conf]/content: content changed '{md5}8f8f064b4d3ac4707f7d40bffbc6923d' to '{md5}0e26fd40846b80a72809a75daba39f83'
info: /Stage[main]/Socorro::Base/File[/etc/socorro/common.conf]: Scheduling refresh of Service[socorro-monitor]
notice: /Stage[main]/Hadoop::Hadoop_client/Exec[install -m 775 -o hdfs -g hadoop -d /var/log/hadoop]/returns: executed successfully
notice: /Stage[main]/Socorro::Admin/File[/etc/cron.d/socorro]/content: 
--- /etc/cron.d/socorro	2012-12-15 09:31:05.490921903 -0800
+++ /tmp/puppet-file20121219-13219-cpi4s1-0	2012-12-19 13:47:06.889925537 -0800
@@ -24,3 +24,6 @@
 # create "clean" version of incoming reports, only containing valid crashes
 # reportsclean must run after duplicates, see bug 697772
 45 * * * * socorro /data/socorro/application/scripts/crons/cron_reportsclean.sh
+
+#fixes minidump stuff for b2g
+0 * * * * socorro /data/socorro/application/scripts/crons/cron_fixbrokendumps.sh

info: FileBucket adding {md5}077d1d4db093a54a02f8418e7bc1e1e2
info: /Stage[main]/Socorro::Admin/File[/etc/cron.d/socorro]: Filebucketed /etc/cron.d/socorro to main with sum 077d1d4db093a54a02f8418e7bc1e1e2
notice: /Stage[main]/Socorro::Admin/File[/etc/cron.d/socorro]/content: content changed '{md5}077d1d4db093a54a02f8418e7bc1e1e2' to '{md5}f29b8a01968a35ec4498a3bc0542e353'
notice: /Stage[main]/Socorro::Monitor/Service[socorro-monitor]: Triggered 'refresh' from 1 events
notice: Finished catalog run in 80.82 seconds
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Component: Server Operations: Web Operations → WebOps: Other
Product: mozilla.org → Infrastructure & Operations
You need to log in before you can comment on or make changes to this bug.